Upgraded the ParaView build scripts to version 3.3-cvs.
[OpenFOAM-1.5.x.git] / bin / foamPack
blob8166714c6b7df695c3ca9b10db275345977b8aff
1 #!/bin/sh
2 #------------------------------------------------------------------------------
3 # ========= |
4 # \\ / F ield | OpenFOAM: The Open Source CFD Toolbox
5 # \\ / O peration |
6 # \\ / A nd | Copyright (C) 1991-2008 OpenCFD Ltd.
7 # \\/ M anipulation |
8 #-------------------------------------------------------------------------------
9 # License
10 # This file is part of OpenFOAM.
12 # OpenFOAM is free software; you can redistribute it and/or modify it
13 # under the terms of the GNU General Public License as published by the
14 # Free Software Foundation; either version 2 of the License, or (at your
15 # option) any later version.
17 # OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
18 # ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
19 # FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
20 # for more details.
22 # You should have received a copy of the GNU General Public License
23 # along with OpenFOAM; if not, write to the Free Software Foundation,
24 # Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
26 # Script
27 # foamPack [outputDir]
29 # Description
30 # Packs and compresses the OpenFOAM directory for release
32 #------------------------------------------------------------------------------
33 tmpFile=${TMPDIR:-/tmp}/foamPackFiles.$$
35 timeStamp=$(date +%Y-%m-%d)
36 packDir=$WM_PROJECT-$WM_PROJECT_VERSION
37 packFile=${packDir}_${timeStamp}.gtgz
39 if [ ! -d $packDir ]
40 then
41 echo "Error: directory $packDir does not exist"
42 exit 1
45 # add optional output directory
46 if [ -d "$1" ]
47 then
48 packFile="$1/$packFile"
51 if [ -f $packFile ]
52 then
53 echo "Error: $packFile already exists"
54 exit 1
57 # Create time stamp file
58 # ~~~~~~~~~~~~~~~~~~~~~~
60 echo $timeStamp 2>/dev/null > $packDir/.timeStamp
62 # Clean up on termination and on Ctrl-C
63 trap 'rm -f $tmpFile 2>/dev/null; exit 0' EXIT TERM INT
66 # Pack and compress the packFile using GNU tar
67 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
69 echo
70 echo "Packing foam version $packDir into $packFile"
71 echo
72 echo "finding and packing"
74 find -H $packDir \
75 ! -type d -type f \
76 ! -name "*~" \
77 -a ! -name ".*~" \
78 -a ! -name "*.orig" \
79 -a ! -name "*.dep" \
80 -a ! -name "*.o" \
81 -a ! -name "*.so" \
82 -a ! -name "*.a" \
83 -a ! -name "core" \
84 -a ! -name "core.[1-9]*" \
85 -a ! -name "pvml.[1-9]*" \
86 -a ! -name "log[0-9]*" \
87 -a ! -name "so_locations" \
88 | sed \
89 -e "\@$packDir/.git/@d" \
90 -e "\@$packDir/lib/@d" \
91 -e '\@applications/bin/@d' \
92 -e '\@/t/@d' \
93 -e '\@Make[.A-Za-z]*/[^/]*/@d' \
94 -e '\@doc/[Dd]oxygen/html@d' \
95 -e '\@doc/[Dd]oxygen/latex@d' \
96 -e '\@doc/[Dd]oxygen/man@d' \
97 -e '\@/lnInclude@d' \
98 -e '\@/ii_files@d' \
99 | tee $tmpFile
101 tar czpf $packFile --files-from $tmpFile
103 if [ $? = 0 ]
104 then
105 echo "Finished packing and compressing $packDir into file $packFile"
106 else
107 echo "Error: failure packing $packDir into file $packFile"
108 rm -f $packFile 2>/dev/null
111 #------------------------------------------------------------------------------